cURL
curl --request GET \ --url https://api-staging.fossapay.com/api/v1/customers/{customerId}/tier-status \ --header 'x-api-key: <x-api-key>'
{ "status": "success", "statusCode": 200, "message": "Customer tier status retrieved successfully", "data": { "tierId": 0, "hasNin": false, "hasBvn": false } }
Retrieve the tier status and limits for a specific customer
success
error
Show properties
curl -X GET https://api-staging.fossapay.com/api/v1/customers/fh8e2e1f-e253-23ac-b8ft-31ed2t7fb0df/tier-status \ -H "x-api-key: YOUR_API_KEY"
const customerId = 'fh8e2e1f-e253-23ac-b8ft-31ed2t7fb0df'; const response = await fetch(`https://api-staging.fossapay.com/api/v1/customers/${customerId}/tier-status`, { method: 'GET', headers: { 'x-api-key': 'YOUR_API_KEY' } }); const tierStatus = await response.json(); console.log(tierStatus);